## org.eclipse.emf.cdo.spi.common.revision
Interface InternalCDORevision

All Superinterfaces:
  CDOReferenceAdjustable, CDORevision, CDORevisionData

All Known Implementing Classes:
  AbstractCDORevision

    public interface InternalCDORevision

extends CDORevision, CDORevisionData, CDOReferenceAdjustable

Since:
  2.0

Field Summary
`static java.lang.Object` `NIL` The equivalent of `EStructuralFeatureImpl.NIL` (i.e. explicit `null`).

Fields inherited from interface org.eclipse.emf.cdo.common.revision.CDORevision
`UNCHUNKED, UNSPECIFIED_DATE, UNSPECIFIED_VERSION`

Method Summary
`void` `add(org.eclipse.emf.ecore.EStructuralFeature feature, int index, java.lang.Object value)`
`java.lang.Object` `basicGet(org.eclipse.emf.ecore.EStructuralFeature feature, int index)` Use this method to retrieved `NIL` object in some cases.
`java.lang.Object` `basicSet(org.eclipse.emf.ecore.EStructuralFeature feature, int index, java.lang.Object value)` Use this method to retrieved `NIL` object in some cases.
`void` `clear(org.eclipse.emf.ecore.EStructuralFeature feature)`
`CDOList` `getList(org.eclipse.emf.ecore.EStructuralFeature feature)`
`CDOList` `getList(org.eclipse.emf.ecore.EStructuralFeature feature, int size)`
`java.lang.Object` `getValue(org.eclipse.emf.ecore.EStructuralFeature feature)` Should never return `NIL`
`java.lang.Object` `move(org.eclipse.emf.ecore.EStructuralFeature feature, int targetIndex, int sourceIndex)`
`java.lang.Object` `remove(org.eclipse.emf.ecore.EStructuralFeature feature, int index)`
`java.lang.Object` `set(org.eclipse.emf.ecore.EStructuralFeature feature, int index, java.lang.Object value)`
`void` `setContainerID(java.lang.Object containerID)`
`void` `setContainingFeatureID(int containingFeatureID)`
`void` `setCreated(long created)`
`void` `setID(CDOID id)`
`void` `setList(org.eclipse.emf.ecore.EStructuralFeature feature, InternalCDOList list)`
`void` `setListSize(org.eclipse.emf.ecore.EStructuralFeature feature, int size)` Deprecated.
`void` `setResourceID(CDOID resourceID)`
`void` `setRevised(long revised)`
`int` `setTransactional()`
`void` `setUntransactional()`
`java.lang.Object` `setValue(org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value)`
`void` `setVersion(int version)`
`void` `unset(org.eclipse.emf.ecore.EStructuralFeature feature)`
`void` `write(CDODataOutput out, int referenceChunk)`

Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevision
`compare, copy, data, getCreated, getEClass, getID, getRevised, getVersion, isCurrent, isResource, isResourceFolder, isResourceNode, isTransactional, isValid, merge`

Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionData
`contains, get, getContainerID, getContainingFeatureID, getResourceID, hashCode, indexOf, isEmpty, lastIndexOf, revision, size, toArray, toArray`

Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOReferenceAdjustable
`adjustReferences`

Field Detail

### NIL

    static final java.lang.Object NIL

  The equivalent of `EStructuralFeatureImpl.NIL` (i.e. explicit `null`).

Method Detail

### setID

    void setID(CDOID id)

### setVersion

    void setVersion(int version)

### setTransactional

    int setTransactional()

### setUntransactional

    void setUntransactional()

### setCreated

    void setCreated(long created)

### setRevised

    void setRevised(long revised)

### setResourceID

    void setResourceID(CDOID resourceID)

### setContainerID

    void setContainerID(java.lang.Object containerID)

### setContainingFeatureID

    void setContainingFeatureID(int containingFeatureID)

### add

    void add(org.eclipse.emf.ecore.EStructuralFeature feature,
             int index,
             java.lang.Object value)

### clear

    void clear(org.eclipse.emf.ecore.EStructuralFeature feature)

### move

    java.lang.Object move(org.eclipse.emf.ecore.EStructuralFeature feature,
                          int targetIndex,
                          int sourceIndex)

### remove

    java.lang.Object remove(org.eclipse.emf.ecore.EStructuralFeature feature,
                            int index)

### set

    java.lang.Object set(org.eclipse.emf.ecore.EStructuralFeature feature,
                         int index,
                         java.lang.Object value)

### unset

    void unset(org.eclipse.emf.ecore.EStructuralFeature feature)

### getValue

    java.lang.Object getValue(org.eclipse.emf.ecore.EStructuralFeature feature)

  Should never return `NIL`

### setValue

    java.lang.Object setValue(org.eclipse.emf.ecore.EStructuralFeature feature,
                              java.lang.Object value)

### basicGet

    java.lang.Object basicGet(org.eclipse.emf.ecore.EStructuralFeature feature,
                              int index)

  Use this method to retrieved `NIL` object in some cases.

  Since:
    2.0

### basicSet

    java.lang.Object basicSet(org.eclipse.emf.ecore.EStructuralFeature feature,
                              int index,
                              java.lang.Object value)

  Use this method to retrieved `NIL` object in some cases.

### setList

    void setList(org.eclipse.emf.ecore.EStructuralFeature feature,
                 InternalCDOList list)

### getList

    CDOList getList(org.eclipse.emf.ecore.EStructuralFeature feature)

### getList

    CDOList getList(org.eclipse.emf.ecore.EStructuralFeature feature,
                    int size)

  Parameters:
    `size` - the size of a new list to be created if this revision has no list so far, or -1 to skip list creation and return `null` in this case.

### setListSize

    @Deprecated
    void setListSize(org.eclipse.emf.ecore.EStructuralFeature feature,
                                int size)

  Deprecated.

### write

    void write(CDODataOutput out,
               int referenceChunk)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.